Bug 1253491 - pcs status pcsd shows "Unable to authenticate" on serial console
pcs status pcsd shows "Unable to authenticate" on serial console
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs (Show other bugs)
7.2
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Tomas Jelinek
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 16:12 EDT by Nate Straz
Modified: 2015-11-19 04:38 EST (History)
3 users (show)

See Also:
Fixed In Version: pcs-0.9.143-3.el7
Doc Type: Bug Fix
Doc Text:
Cause: User runs the 'pcs status pscd' command. Consequence: Pcs cannot locate pcsd properly which results in inability to communicate with pcsd on cluster nodes. Nodes appear to be unauthenticated. Fix: Fixed pcs/pcsd path handling. Result: Pcs reports nodes are online.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 04:38:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (1.31 KB, patch)
2015-08-25 08:53 EDT, Tomas Jelinek
no flags Details | Diff

  None (edit)
Comment 1 Nate Straz 2015-08-13 16:17:13 EDT
Description of problem:

I'm getting different output from `pcs status pcsd` whether I run it from an ssh session or the serial console.

Serial console:
[root@west-01 ~]# id -a
uid=0(root) gid=0(root) groups=0(root) context=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023
[root@west-01 ~]# ls -l /proc/self/fd/0
lrwx------. 1 root root 64 Aug 13 16:14 /proc/self/fd/0 -> /dev/ttyS0
[root@west-01 ~]# pcs status pcsd west-02
  west-02: Unable to authenticate

SSH:
[root@west-01 ~]# id -a
uid=0(root) gid=0(root) groups=0(root) context=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023
[root@west-01 ~]# ls -l /proc/self/fd/0
lrwx------. 1 root root 64 Aug 13 16:15 /proc/self/fd/0 -> /dev/pts/0
[root@west-01 ~]# pcs status pcsd west-02
  west-02: Online


Version-Release number of selected component (if applicable):
pcs-0.9.143-1.el7.x86_64

How reproducible:
Easily

Steps to Reproduce:
1. from serial console run: pcs status pscd


Actual results:


Expected results:

This worked in 7.1:

[root@host-054 ~]# ls -l /proc/self/fd/0
lrwx------. 1 root root 64 Aug 13 15:08 /proc/self/fd/0 -> /dev/ttyS0
[root@host-054 ~]# pcs status pcsd
  host-054: Online
  host-055: Online
  host-056: Online
[root@host-054 ~]# rpm -q pcs
pcs-0.9.137-13.el7_1.3.x86_64


Additional info:
Comment 5 Tomas Jelinek 2015-08-25 08:53:38 EDT
Created attachment 1066843 [details]
proposed fix
Comment 6 Tomas Jelinek 2015-08-26 06:04:17 EDT
Before Fix:
[root@rh71-node1 ~]# rpm -q pcs
pcs-0.9.143-2.el7.x86_64

[root@rh71-node1:~]# PATH=/usr/sbin:$PATH pcs status pcsd
  rh71-node1: Online
  rh71-node2: Online
[root@rh71-node1:~]# PATH=/sbin:$PATH pcs status pcsd
  rh71-node1: Unable to authenticate
  rh71-node2: Unable to authenticate



After Fix:
[root@rh71-node1:~]# rpm -q pcs
pcs-0.9.143-3.el7.x86_64

[root@rh71-node1:~]# PATH=/usr/sbin:$PATH pcs status pcsd
  rh71-node1: Online
  rh71-node2: Online
[root@rh71-node1:~]# PATH=/sbin:$PATH pcs status pcsd
  rh71-node1: Online
  rh71-node2: Online
Comment 10 errata-xmlrpc 2015-11-19 04:38:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2290.html

Note You need to log in before you can comment on or make changes to this bug.